Create Sandbox Deposit
curl --request POST \
--url https://api.paxos.com/v2/sandbox/profiles/{profile_id}/deposit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asset": "<string>",
"amount": "<string>",
"crypto_address": "<string>"
}
'import requests
url = "https://api.paxos.com/v2/sandbox/profiles/{profile_id}/deposit"
payload = {
"asset": "<string>",
"amount": "<string>",
"crypto_address": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({asset: '<string>', amount: '<string>', crypto_address: '<string>'})
};
fetch('https://api.paxos.com/v2/sandbox/profiles/{profile_id}/deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activity_id": "<string>"
}Sandbox Deposits
Create Sandbox Deposit
Create a test deposit to fund a profile in the sandbox environment.
Always specify crypto_network when making a crypto sandbox deposit. Omit the parameter when depositing fiat.
This functionality is only available in the sandbox environment.
POST
/
sandbox
/
profiles
/
{profile_id}
/
deposit
Create Sandbox Deposit
OAuth Scope
funding:read_profile
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Path Parameters
The ID of the profile that will credited with the assets.
Body
application/json
The kind of asset to deposit.
The amount to deposit.
Pattern:
^[0-9]*\.?[0-9]+$A CryptoNetwork is a blockchain transmitting cryptocurrencies.
Available options:
BITCOIN, ETHEREUM, BITCOIN_CASH, LITECOIN, SOLANA, POLYGON_POS, BASE, ARBITRUM_ONE, STELLAR, INK, XLAYER, AVALANCHE, DOGECOIN, SUI, ROBINHOOD, BNB, OP, TRON, APTOS, MANTLE Response
200 - application/json
A successful response.
The UUID of the customer activity created for the deposit.
Was this page helpful?